openapi: 3.0.0
info:
  title: adapter-salt
  contact: {}
  version: '1.0.0'
servers:
- url: https://{defaultHost}
  variables:
    defaultHost:
      default: www.example.com
paths:
  /{base_path}/{version}/:
    post:
      summary: runFunction
      description: ''
      operationId: runFunction
      parameters:
      - name: targetId
        in: query
        description: ''
        required: true
        style: form
        explode: true
        schema:
          type: string
      - name: fun
        in: query
        description: ''
        required: true
        style: form
        explode: true
        schema:
          type: string
      - name: args
        in: query
        description: ''
        required: true
        style: form
        explode: true
        schema:
          type: object
      - name: base_path
        in: path
        description: ''
        required: true
        style: simple
        schema:
          type: string
      - name: version
        in: path
        description: ''
        required: true
        style: simple
        schema:
          type: string
      requestBody:
        description: ''
        content:
          application/json:
            schema:
              type: object
        required: false
      responses:
        '200':
          description: Successful operation
          headers: {}
          content:
            application/json:
              schema:
                type: object
      deprecated: false
  /{base_path}/{version}/minions:
    get:
      summary: minions
      description: ''
      operationId: minions
      parameters:
      - name: base_path
        in: path
        description: ''
        required: true
        style: simple
        schema:
          type: string
      - name: version
        in: path
        description: ''
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: Successful operation
          headers: {}
          content:
            application/json:
              schema:
                type: object
      deprecated: false
  /{base_path}/{version}/minions/{targetId}:
    get:
      summary: minion
      description: ''
      operationId: minion
      parameters:
      - name: targetId
        in: path
        description: ''
        required: true
        style: simple
        schema:
          type: string
      - name: base_path
        in: path
        description: ''
        required: true
        style: simple
        schema:
          type: string
      - name: version
        in: path
        description: ''
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: Successful operation
          headers: {}
          content:
            application/json:
              schema:
                type: object
      deprecated: false
  /{base_path}/{version}/jobs:
    get:
      summary: jobs
      description: ''
      operationId: jobs
      parameters:
      - name: base_path
        in: path
        description: ''
        required: true
        style: simple
        schema:
          type: string
      - name: version
        in: path
        description: ''
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: Successful operation
          headers: {}
          content:
            application/json:
              schema:
                type: object
      deprecated: false
  /{base_path}/{version}/hook:
    post:
      summary: hook
      description: ''
      operationId: hook
      parameters:
      - name: args
        in: query
        description: ''
        required: true
        style: form
        explode: true
        schema:
          type: object
      - name: base_path
        in: path
        description: ''
        required: true
        style: simple
        schema:
          type: string
      - name: version
        in: path
        description: ''
        required: true
        style: simple
        schema:
          type: string
      requestBody:
        description: ''
        content:
          application/json:
            schema:
              type: object
        required: false
      responses:
        '200':
          description: Successful operation
          headers: {}
          content:
            application/json:
              schema:
                type: object
      deprecated: false
  /{base_path}/{version}/keys/{targetId}:
    get:
      summary: keys
      description: ''
      operationId: keys
      parameters:
      - name: targetId
        in: path
        description: ''
        required: true
        style: simple
        schema:
          type: string
      - name: base_path
        in: path
        description: ''
        required: true
        style: simple
        schema:
          type: string
      - name: version
        in: path
        description: ''
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: Successful operation
          headers: {}
          content:
            application/json:
              schema:
                type: object
      deprecated: false
  /{base_path}/{version}/stats:
    get:
      summary: stats
      description: ''
      operationId: stats
      parameters:
      - name: base_path
        in: path
        description: ''
        required: true
        style: simple
        schema:
          type: string
      - name: version
        in: path
        description: ''
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: Successful operation
          headers: {}
          content:
            application/json:
              schema:
                type: object
      deprecated: false
tags: []
